View Javadoc

    1   /*
    2    * Copyright  2000-2004 The Apache Software Foundation
    3    *
    4    *  Licensed under the Apache License, Version 2.0 (the "License");
    5    *  you may not use this file except in compliance with the License.
    6    *  You may obtain a copy of the License at
    7    *
    8    *      http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   *  Unless required by applicable law or agreed to in writing, software
    11   *  distributed under the License is distributed on an "AS IS" BASIS,
    12   *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    13   *  See the License for the specific language governing permissions and
    14   *  limitations under the License.
    15   *
    16   */
    17  package org.apache.bcel.util;
    18
    19  /***
    20   * Used for BCEL comparison strategy
    21   *
    22   * @author <A HREF="mailto:m.dahm@gmx.de">M. Dahm</A>
    23   * @version $Id: BCELComparator.java 410087 2006-05-29 12:12:19Z tcurdt $
    24   * @since 5.2
    25   */
    26  public interface BCELComparator {
    27
    28      /***
    29       * Compare two objects and return what THIS.equals(THAT) should return
    30       *
    31       * @param THIS
    32       * @param THAT
    33       * @return true if and only if THIS equals THAT
    34       */
    35      public boolean equals( Object THIS, Object THAT );
    36
    37
    38      /***
    39       * Return hashcode for THIS.hashCode()
    40       *
    41       * @param THIS
    42       * @return hashcode for THIS.hashCode()
    43       */
    44      public int hashCode( Object THIS );
    45  }